release 1.? - WIP
	- Ternary expression fix in graph library
	- Report fixes
	- Fix support for multiple db locations

* a mess here with releases as branches and / or tags: 1.1-2, 1.1-3, 1.1-4, 1.1-5, 1.2, 1.3 *

release 1.1-3 - ?? ??? ????
	- remove unavailable data in SUBSCRIPTION ANALYSIS view.
	- update Portuguese language
	- dockerfile improvements
	- dockerfile-freeradius and init-freeradius.sh
	- fix regex query for rollback
	- fix mysql directory in dockerfile
	- fix MAC validation in new user (requires PHP v5.5)
	- fix load of language file
	- mark Romanian language files as broken

release 1.1-2 - 08 Aug 2019
    - syntax fix in language translations
	- set right column names for table radpostauth in FreeRADIUS v3

release 1.1-1 - 28 Jul 2019
    - fix memory overflow on database backups
	- added daloRADIUS version date to configuration
	- improve the documentation a bit

release 1.1-0 - 19 Jun 2019
    - fix SQL syntax errors when using the column 'lead' with MySQL 8.0.2+
    - fix SQL query for last connection attempts where FreeRADIUS is v3
    - add freeradius-utils and cron to Dockerfile
    - remove "default" location if multiple locations are set
	- add select box for password types in Batch Add Users option
	- stylish ToolTip boxes

release 1.0-1 - 24 Mar 2019
	- fixed SQL error when target value is empty when adding profiles, show error message instead

release 1.0-0 - 06 Mar 2019
	- small fixes here and there (tooltips, autocomplete, ...)
	. added new translation function to avoid PHP warnings on missing keys
	- added install requirements in documentation
	- added some user interface improvements
	- added cleanup stale sessions by username, closing the record in the FreeRADIUS database
	- added new optional billing style (new data variables and templates)
	- improved PHP 7 support
	- and a lot more

release 0.9-9 - 27 May 2011
	- added linux os heartbeat script
	- added new monitoring script for heartbeat nodes with email notifications, also update default crontab script
	- fixed dictionary table entries related to mikrotik vendor
	- fixed missing SHA1 and CHAP password attributes in user listing
	- fixed deprecated ereg_replace function with preg_replace
	- improved heartbeat scripts to be more 'compatible' with other routers os

release 0.9-9rc1 - 6 May 2011
	- added heartbeat router scripts and dashboard implementation in daloradius
	- added maintenance scripts to clean stale sessions/expire accounts and monitoring user traffic (with email alerts)
	- added notification system for sending invoices and welcome notifications for new users
	- added support for resetting user's session time/data in edit user management pages
	- added support for FR2 schema by default
	- added FR2 configuration files
	- added support for custom attributes field to be appended to the username for disconnecting a user
	- added ups, raid and cron information and control for the web server user
	- added Filipp's contributed reporting page showing new users behavior in the system
	- added batch user sessions to support creation of bulk user vouchers and associating them to a hotspot/business to track usage, invoices and other functionality 
	- added support to change user's authentication password (in radcheck table) as well as portal's password
	- added support for user search by searching in the site-wide Search box (patch by shuri)
	- added support for user's plan information to main dalo admin platform
	- added huntgroups pages
	- added support for filtering between dates in Reports -> Last Connection Attempts
	- added support to toggle for removing all user associations with the profile when a profile is removed
	- added patch by Sergey Dukachev which patch a large code-base of daloradius (except for the billing part) to provide comptaibility with pgsql databases
	- added .htaccess file for generic use
	- added daloradius custom counters to fr2/fr1 config files
	- fixed support for daloradius-user's login password to be different from the user's login (radcheck) password
	- fixed bluechipwireless sponsored theme for captive portal login
	- fixed possible online users bug
	- fixed fixed hard-coded year in select box and popup js date
	- fixed issue reported by Matthew Moore related to attributes of the same name not showing up several times (this is due to group by sql query)
	- fixed bug #3245933 related to css
	- fixed bug #2924004 which resolves an xss vul: http://seclists.org/bugtraq/2009/Dec/223
	- fixed bug #3201571 - not properly escaping data for js code
	- fixed bug in graph pages to show correct results
	- fixed bug in displaying disabled users in listing pages
	- improved billing support - invoices and payments (tied to the billing plans)
	- improved operators management pages 
	- improved realms/proxy logic configuration to save backup of original files
	- improved pagination across all table listing pages
	- improved method of disabling/enabling user to add/remove user from a radius profile/group of 'disabled' users as well as added disable/enable buttons across all management pages
	- improved UI experience of attributes handling in management pages
	- improved billing plans to support multiple profiles
	- improved some sql optimization to queries and db structure 
	- improved support for navigation between pages so that listing pages support the 'back' method to return to the same resultset page
	- improved daloradius-users portal to support proper password changing of the user account as well as provide billing information insight, invoices and more
	

release 0.9-8 - 27 January 2008 (pre 26 December 2008)
	- added option to enable/disable user information updates on daloradius-users portal
	- added support for searchable usernames in Online Users and Last Connected Users pages
	- added duplicate profiles menu option
	- added subscription analysis information in Edit User page and various Accounting pages
	- added support to CSV export data listing in Online Users and Last Connected Users pages
	- added configuration option CONFIG_PATH_RADIUS_DICT to daloradius.conf specifying radius dictionary files path
	- added user status flags (icons) in List Users page to show enabled/disabled user (ticket #)
	- added user count for each group in Profiles List page
	- added captive portal pages in different styles using open source templates, ready for deployment
	- added paypal sign-up page with complete provisioning in daloRADIUS
	- added to sample config files the monthly, weekly, daily sql counters for Access-Period (Time-To-Finish),
	  and Chillispot's ChilliSpot-Max-Total-Octets as well as added these into the attributes dictionary.
	- added support to manage multi database locations without having to deploy daloradius in different
	  web directories. New configuration option added CONFIG_LOCATIONS allows the operator to log-in to
	  a location of his choice, locations are managed per session.
	- added and revamped billing pages - rates, paypal transactions and billing plans
	- added multi select groups/profiles to add the user to on New User page
	- added update interface for the database 
	- added dictionary.wimax as provided with latest freeradius 2.x release
	- added Italian language support (thanks to Alessandro Rendina)
	- added Hungarian language support (thanks to Zsiros Attila)
	- improved reports log pages with filter and line count restrictions
	- improved last connection attempts page to high-light rejected connections
	- improved support for ajax auto-complete on side-bar menus (Dennis)
	- improved tooltip support for html input boxes on side-bar navigation
	- improved group handling in Edit mode, to remove a group now simply select the blank option
	- fixed bug in Edit User page where saving of new groups would cause addition of check attribute (thanks to nido009)
	- fixed mac authentication string in hotspot example
	- fixed password field in Test Connectivity page
	- fixed auto complete for input boxes in several pages
	- fixed saving of editing/removing duplicate attributes on user/profile management pages (bug 2079457)
	- fixed possible security hole for ajax php files which did not perform a check for a valid operator session
	- fixed bug in Edit User and the javascript routine responsible for managing group priorities (tony)
	- fixed operator's notes textarea field to show proper value as saved in the database
	- fixed css layout problems of tooltips and input fields
	- fixed change user info checkbox saving when entering a new user
	- fixed trimming of leading and ending spaces in input fields submitted to forms
	- fixed backend control of user information changes by administrator


release 0.9-7 - 4 June 2008
	- added support for attributes type/description in Edit User page and Edit Profile page
	- added support for showing the user's summary information like in Username Accounting
	- added to daloRADIUS Users portal the Graphs pages for the user (client) 


release 0.9-7rc2 - 26 May 2008
	- fixed better support on SQL queries to NOT rely on the schema being the default (tuc)
	- fixed bug in hotspots edit page where contact info tab didn't load values from the database
	- fixed up documentation and added INSTALL.quick for rapid deployment of daloRADIUS
	- fixed bug in search users page of delete button not functioning
	- fixed bug in quick add user page of infinite recipt popup page loading and apply button on 
	  user info tab doesn't open the recipt popup page.
	- fixed support in radgroupreply/radgroupcheck to use explicit field names (tuc)
	- added support for new success/failure messages on form submits
	- added new IP Pools management pages for sqlippool freeradius module support
	- added new fields to hotspots,realms,proxys,userinfo tables
	  (creationdate,createby,updatedate,updateby)
	- added support in hotspot pages for newly added createion and update fields as well as 
	  new company detail fields
	- added new History page in Reports category
	- added support for CSV export functionality of accounting pages and user pages
	- added new action messages layout
	- added CIA bot to #daloradius to track subversion commits
	- other: general code cleanup


release 0.9-7rc1 - 24 April 2008
	- fixed support for password hiding in users/operators listings
	- fixed deletion of usergroup instances of the user
	- fixed saving encrypted password changes in database (reported by kreg, thanks)
	- fixed deletion of attributes from profiles page (reported by kreg, thanks)
	- fixed user accounting page to support Max-Daily-Session and Max-Monthly-Session (reported by Kelvin)
	- improved usability on disconnect user page 
	- improved greatly attributes management with support for dynamic helper functions
	- added quick editing of online users and showing mac addresses listing
	- added new pages - realms and proxys configurations
	- added support to remove user accounting records in the delete page
	- added dhtmlgoodies libraries for ajax auto-complete and popup tooltip
	- added vendor/attributes management page to allow editing of official and custom attributes
	- added more icons, variable translation and layout changes

	
release 0.9-6 - 25 Februray 2008
	- added major improvement to attributes management which is now supporting all possible vendors
	  and attributes which comes with latest freeradius 1.1.7, dynamically from the database using
	  ajax support in the interface to easy management.
	- added new profiles page which integrates the radgroupcheck and radgroupreply tables
	- added new authentication methods - mac auth and pincode auth
	- added new dynamic tooltips on the managment forms
	- added createdate field to userinfo table
	- added in attributes, automatically appear with the tooltip/help text (requested by Carlos Cessario)
	- added hotspotlogin.php chillispot hotspot code-base, based on the php version along with
	  customized templates and modular code (allowing of templates, translation, etc)
	- improved status pages layout (thanks to Carlos Cesario)
	- improved code security on maintenance pages using system calls
	- improved forms interface design (bye bye not-so-pretty tables layout!) and overall interface
	  color scheme changes in css
	- improved language translation
	- grouped together the group-reply and group-check pages into a single groups management page
	- fixed bug on edit user page, when database password encryption is turned on, users' passwords
	  were reset to a random value on every save.
	- fixed bug on adding new operator
	- fixed bug on new user page of undefined indexes
	- fixed bug on group management pages (updating a record would update all other attributes)
	- fixed bug on edit user page (it would add another empty record to the database)
	  (thanks to Joachim)
	- fixed layout on graphs to use a lower size chart image (thanks to Joachim)


release 0.9-5 - 23 December 2007
	- added improved support for sql db queries
	- added new contact info for hotspot owners
	- added more attributes and ordered existing
	- added support to relate users to groups on new user, batch add user and new quick-add users pages
	  as well as editing these groups entries in edit user page
	- added suport for database debugging and error handling
	- added custom accounting query page
	- added disconnect user on maintenance sub-category
	- added partial tabindexs support to forms (Antonis Faragitakis)
	- added description dialogs for pages upon clicking on page titles
	- added and improved new blue css layout
	- added icons and support for deleting single attributes for users
	  in the Edit User management page
	- improved interface with addition of checkboxs for multi-action tasks
	- improved online help support for each page
	- improved support on Test User Connectivity to use radclient with more features
	- improved support on all sidebar input values so that variables are saved when
	  the pages are reloaded/submitted to a new page
	- fixed double-insert records of userinfo data if user exists
	- fixed deleting of userinfo data for a record that is being deleted
	- fixed drawing the options selectbox in the radreply tab in User Edit page
	- fixed saving an existing nas entry in different name (not having to delete it)
	- fixed several typos and variable declerations through-out the pages
	- fixed duplicate groups entries in usergroup table (paparent)
	- language file and variables are better sorted out (finally)
	- alot of php/html code clean up and code identation 



release 0.9-4 - October 22 2007
	- fixed bug in include/management/attributes.php and library/javascript/pages_common.js
	  which caused the drop-down select boxes not to update the text input.
	- fixed the whole issue with the language file and commited changes to all the project files.
	- fixed bug on new user page where password showed entire encryption context
	- added support for time and speed calculations done on select box updates for attributes
	  like max-all-session, session-timeout, bandwidth related attributes, etc. 
	  (credit for the idea goes to ut_crom, thanks!)
	- added support for tabbing layout on several management pages which eases the job in
	  administrating the system (thanks to the addition of the tabber library by Patrick Fitzgerald
	  which is hosted at http://www.barelyfitz.com/)
	- added support for tabbed pop-up window on GIS page to preview hotspots locations details and
	  statistics information. Also added tabbed layout support to nas pages.
	- added drop down combo boxes with pre-configured nas types to nas page.
	- added support for configurable Test User Connectivity radius settings
	- added new table userinfo for general user informatin (contact details)
	- added new logging facility for debugging sql queries performed on the database server
	- added new reports pages and moved the older status and logs pages to the reports section

release 0.9-3 - September 01 2007
	- fixed bug 1763605 - user edit hat a wrong mysql syntax
	- fixed bugs in configuration pages.
	- added support for php's database abstraction layer instead of mysql API.
	  This provides support for other databases than mysql itself.
	- added new page to manage operators information and their permissions (ACL).
	  It is required to import a .sql schema which erases the old operators table
	  and creates a new one (contrib/db/mysql-migrate-0.92-to-0.93.sql).
	- added new contrib directory for user's submitted configurations or related.
	- moved database files to contrib/db and added database schemes for postregsql.


release 0.9-2 - August 13 2007
	- fixed bug 1763584 - in IE at javascript function randomPassword() and randomUsername()
	- added  asc/desc sorting capabilities to tables in management, accounting and graphs
	- added new maintenance page to use the 'radtest' program to check for user
	  connectivity (new feature introduced by Giso Kegal).
	- added a quick-links access called the tool-box to edit user page (mng-edit.php)
	- added INSTALL.win which includes installation notes specifically for windows 
	  by Gustavo Mariani
	- added new feature as requested by Giso Kegal which provides tables listing across
	  multiple pages and easy numbering links to access spanned-pages.
	- added Igor Grushko's official daloRADIUS logos!
	- added new include/common/calcs.php page for various calculations required on several
	  pages like accounting, this provides better readable time in h:m:s format and conversion
	  of bytes to megabytes for download/upload traffic.
	- added new page Search Users which allows to search for users using wildcards (* or % are
	  welcome), requested by ccesario.
	
	
release 0.9-1 - July 29 2007
	- added support for configurable table names of radius database throughout the code
	- added better notifications of error messages when mysql queries die, 
	  they are now shown with a red colored font so the errors are more obvious to see
	- added logging capability to all project pages specifically added logging of visited pages
	- fixed bug 1757441 - ComboBox layout in Language Configuration	
	- improved support for failure/sucess messages on forms
	- added quick-link to delete hotspots from the hotspot listing page

release 0.9 - July 2007
	- this release is named after Erick Otto who took part of daloRADIUS
	and passed away on 24th of June 2007, may he rest in peace.
	- Major code clean-up, removing deprecated files, as well as removed jpgraph
	and libgraph as we have moved to using a tiny footprint graph library called libgraph
	- moved to a new graphing library called libchart, credit goes to Jean-Marc Tr�meaux
	(see information at: http://naku.dohcrew.com/libchart/pages/introduction/)
	so please take note that jpgraph and libgraph have been removed!
	- Evgeniy Kozhuhovskiy has introduced a new feature which enables support for multiple
	languages, also congrads for joining the development team :)	
	- introduced new menu item - Config - where you can tweak the configuration of daloradius
	from the web gui instead of manually editing the file (notice that the filename and
	style was changed too to daloradius.conf in library/ so you need to migrate properly)	
	- added more management interfaces for radius's sql database:
	nas page, radgroupreply page, radgroupcheck page and usergroup page
	- moved to a more OOP design by moduling all the pages to use the same group-wise
	header menus which makes customizing and changing very easy and quick.	
	- completely changed the way the management pages are working to be more dynamic (mng-edit)
	- changed the layout of the table's forms to be formatted with tables
	- introduced some minor ajax technology for dynamic adding of groups to the 
	management pages (groupreply and groupcheck)	
	- moved/copied the report's list all user's page to the management page as
	requested by DTE and Giso (it will be moved there permenantely in the next release)
	- thanks to Erick Otto the sql dump is fixed (there was a missing /)	
	- changed form actions in relevant pages to use PHP_SELF for better modularity support
	- fixed bug in library/tables* files showing wrong mb count (not using floor() and so
	the int isn't rounded, it's actually a double/float)
	


release 0.8 - May 2007
	- moved from using the Password attribute to the more widely accepted
	User-Password attribute as well as keeping compatibility with Password attribute
	- fixed mng-edit.php file to check if attribute exists on db and to
	create it if it doesn't (thanks ismail)
	- added more info in the README/INSTALL to make it easier to install
	- added premature initialization of several variables so that php's
	error handling E_STRICT or E_NOTICE isn't triggerd on some systems
	which have these turned on by default
	- moved to use isset() to be more compatible with php standards.
	- added for gis-main.php file opening check to make sure the file is writable
	by the webserver's user/group, an error message appears if there is a
	problem.
	- fixed small bug in mng-del.php where it wouldn't receive external
	values when called from other pages. 
	- moved to using a different date library, this one doesn't popup a
	window and should integrate good with most browsers as well.
	- as to request from ismail regarding interface colors I've changed
	all grey's to either white or black, as well as text in input boxs
	so it should be more easy on the eyes now :)
	- added javascript for showing/hiding input boxs in forms to give
	a more comfortable and professional look.
	- added to reports page per username another table to display the
	attributes for a certain user on both radcheck and radreply tables
	- fixed issues with un-initialized values in the $_REQUEST of several
	pages so now they check for a valid request (this prevents php notices
	to appear)
	- fixed problem in library/graph-alltime_upload.php where it didn't
	show the statistics for the year graph cause of a missing , (comma)
	- fixed in all the upload/download graphs the statistics to show the
	usage per the user that was entered in the inputbox and not the
	overall usage (this was confusing before but now it's fixed)


release 0.7 - April 2007
	- public release on sourceforge

release 0.6 - April 2007
	- added page-footer.php for easier modifications to the files.
	  in the future more modularity is planned like this with the menus.
	- improvements on the 'home' webpage, adding server and radius status
	  pages as well as displaying logfiles.
	- fixed a bug in the way the php's are handled: instead of using if
	  ($submit) which doesn't always works, I changed it to if ($_POST['submit'])
	  which works best, always.
	- added the 'welcome, <user> [logout]' option to all pages as the
	  submenu links
	- fixed bug in graphs-overall_logins.php that didn't display the day
	  of the week in the graph image and applied it to all other graphs.

release 0.5 - April 2007
	- added a whole lot of graphical reports to the Graphs section, among
	  them are: Per User's Logins, Downloads and Uploads and an All-time
	  Logins, Downloads and Uploads.
	- fixed the 'look&feel' of user addition in the management page
	- added informational graphs to the main pages
	- fixed typos
	- added pie charts graphs and other cross-referrence graphs to billing
	  and accounting pages
	- fixed silly bug in gis-editmap.php where the $type value wasn't
	  checked when headers were read
	- fixed bug in sql statement when displaying top users's statistics

release 0.4 - March 2007
	- fixed bug in generating the code snippet for googlemaps api.
	- added GIS section to visualize hotspot locations with googlemaps api.

release 0.3 - January 2007
	- added more radius attributes to user management: Idle Timeout, Calling-Station-Id, WISPr-Redirection-URL, 
	  WISPr-Bandwidth-Max-Up, WISPr-Bandwidth-Max-Down, WISPr-Session-Terminate-Time
	- added javascript popup buttons to ease on date selection with a date applet
	- added javascript functions to automatically generate random passwords and usernames

release 0.2 - December 2006
	- when adding users, check that the user doesn't already exist, if it does, deny addition to db.
	- accounting menu has been broaden to provide an extenssive list of reports based on the radacct table
	- management support has been added the Called-Station-Id attribute for users
	- accounting menu has been added the functionality of listing all hotspots in a combo box
	- added javascript for alert message-box on errors
	- added the ability to edit/del a user from reports listings

release 0.1 - initial work
	- management support for a few radius attributes
	- management support for hotspots (to distinguish users logging in from different hotspot access points)

